commit:     1c6d9aeb1b7022cfafd0600dec52909ef0e31f73
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 21 03:37:15 2017 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Mar 21 03:39:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c6d9aeb

dev-php/PEAR-Exception: new package supplying the PEAR/Exception class.

Right now, most of the dev-php/PEAR-* packages in the tree depend on
dev-php/PEAR-PEAR. However, most of them only need to do so for one
class, PEAR/Exception. This new package (a legit, separate upstream
package) provides that class and nothing else.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-php/PEAR-Exception/Manifest                    |  1 +
 dev-php/PEAR-Exception/PEAR-Exception-1.0.0.ebuild | 28 ++++++++++++++++++++++
 dev-php/PEAR-Exception/metadata.xml                | 11 +++++++++
 3 files changed, 40 insertions(+)

diff --git a/dev-php/PEAR-Exception/Manifest b/dev-php/PEAR-Exception/Manifest
new file mode 100644
index 00000000000..82deb58d652
--- /dev/null
+++ b/dev-php/PEAR-Exception/Manifest
@@ -0,0 +1 @@
+DIST PEAR_Exception-1.0.0.tgz 5270 SHA256 
026b1f5981e7365237effda2a840f696f96a00c59e45ab7dfab79644f72dc2e3 SHA512 
f2078186fdad6c6ca59ac462a24f7f9689bea08d30f786acb7779d52cd433e490c752ba0a263067d869151b0c051cded327cb3477a039c5de68c854bff002b58
 WHIRLPOOL 
d11317410ed77c4bfa468c840b44f2b186c01c4b056d72a4f89951d3734d76a1d2888a0d64a9515541721650358c7461a5f1f6c1a032aab4e7937b163f86f10c

diff --git a/dev-php/PEAR-Exception/PEAR-Exception-1.0.0.ebuild 
b/dev-php/PEAR-Exception/PEAR-Exception-1.0.0.ebuild
new file mode 100644
index 00000000000..7795167c287
--- /dev/null
+++ b/dev-php/PEAR-Exception/PEAR-Exception-1.0.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/-/_}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="The PEAR Exception base class"
+HOMEPAGE="http://pear.php.net/package/${MY_PN}";
+SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz";
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RDEPEND="dev-lang/php:*
+       !<=dev-php/PEAR-PEAR-1.10.3-r1"
+DEPEND="test? ( ${RDEPEND} dev-php/phpunit )"
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+       insinto /usr/share/php
+       doins -r PEAR
+}
+
+src_test() {
+       phpunit tests || die "test suite failed"
+}

diff --git a/dev-php/PEAR-Exception/metadata.xml 
b/dev-php/PEAR-Exception/metadata.xml
new file mode 100644
index 00000000000..8d42fecc277
--- /dev/null
+++ b/dev-php/PEAR-Exception/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>PHP</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">pear/pear_exception</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to